post
https://sandbox.saner.secpod.com/AncorWebService/perform
Copy a custom report to named accounts, or to all accounts in the organization.
This method allows users to apply a saved custom report from one account to another account or to all existing and future accounts within an organization.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Source account name from which the report is applied | Yes | string |
| reportname | Name of the custom report to be applied | Yes | string |
| targetorganization | Organization where the report will be applied | Yes | string |
| targetaccounts | Target account names (comma-separated) or “all” for all accounts including future accounts | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Report.apply(
accountid="Demo Account",
reportname="report 1",
targetorganization="Demo Org",
targetaccounts="account_1,account_2"
)
print(response)
client.close()Requires Python 3.9 or later.